[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.IsLinkedTo

Check whether a datasource is linked to the dataset

## Declaration

Source position: db.pas line 1705

`public function TDataSet.IsLinkedTo(`
`ADataSource: TDataSource`
`):Boolean;`

## Arguments

`ADataSource` |  | TDatasource instance to check.

## Function result

True if ADatasource is linked to the dataset.

## Description

IsLinkedTo returns True if ADatasource is linked to this dataset, either directly (the ADatasource.Dataset" points to the current dataset instance, or indirectly.

## See also

TDatasource.Dataset |  | Dataset this datasource is connected to